export declare type SemVer = string;
export interface Option {
    title?: string;
    type: "string" | "boolean" | "integer" | "array";
    description: string;
    /**
     * Available since version
     */
    since: SemVer;
    /**
     * Deprecated since version
     */
    deprecated?: SemVer;
    default?: any;
    enum?: any[];
    maximum?: number;
    minimum?: number;
    multipleOf?: number;
    items?: {
        type: string;
    };
}
export interface OptionsRegistry {
    [key: string]: Option;
}
export declare const Options: OptionsRegistry;
